#include <stdlib.h>
#include <unistd.h>
#include <sys/mman.h>

#define N (32/4)
#define SIZE 4096

int main()
{
    int k;
    for(k = 0; k < 200000; k++) {
	int i = 0;
	int pid;
	unsigned char *mem,*p;
	mem = mmap(0, N*SIZE, PROT_READ|PROT_WRITE,
  		MAP_PRIVATE|MAP_ANONYMOUS, 0, 0);
	if(mem == MAP_FAILED)
    	    perror("mmap");
	for(i = 0; i < N; i++) mem[i*SIZE] = i; /* force page allocation and clearing */
	//memset(mem, 'a', N*SIZE); /* force page clearing */
	p = mem;
	while(p != mem+N*SIZE) { i += *p; p+=32; } /* use data */
	munmap(mem, N*SIZE);
    }
}
